Subject: [sipcore] draft-holmberg-sipcore-proxy-feature-00

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Wed, 24 Nov 2010 10:23:31 -0500

I previously wrote:
> Knowing that the Path can be used in the UA-to-registrar direction
> (as well as the registrar-to-UA direction) tells the UA something
> that it *already knows*, viz., how to get requests to the registrar.

Hadriel clarified this matter to me.  The expected architectural
situation is where:  The UA registers to one of a number of
registrars.  Based on which registrar the UA is registered to, the UA
must use a *corresponding* proxy.

I am told this is common in 3GPP designs, but it is an abnormal method
of operation in generic SIP.  (Our product can operate with a cluster
of proxy/registrars, but we have gone to signficant work to ensure
that the proxies and registrars are fully interchangable on a
request-by-request basis.)  This feature of the expected use case
should be made more clear for the (majority of) people in SIP who
aren't familiar with the 3GPP architecture.

Dale